Nette - kód v php 7.1 rubrika: Programování: PHP

5 zapotocnylubos
položil/-a 16.6. 16:45

Ahoj

vím, že se chystá nette 3.0, které pojede na php 7.1, mám svůj kód psát v php 7.1 i když zatím budu na nette 2.4 které je dělané pro php 5.6?

  • Abych měl případný upgrade lehčí. Hosting mi php 7.1 podporuje.

Nemělo by to mezi sebou blbnout a hosting na php 7.1 by měl přelouskat nette na php5.6 ne?

Díky

odkaz Vyřešeno
10 arron
odpověděl/-a 17.6. 12:47

Stačil mi krátký pohled do repozitáře Nette do konfigurace Travisu a vidím, že pro jednotlivé součásti se dělají testy i pro PHP 7.1 (kontroloval jsem tagy verze 2.4). Tím to považuji za plně kompatibilní! Pokud píšeš novou aplikaci, tak je pro Tebe PHP 7.1 nejlepší volba.

Pro zobrazení všech 4 odpovědí se prosím přihlaste:

Rychlé přihlášení přes sociální sítě:

Nebo se přihlaste jménem a heslem:

Zadejte prosím svou e-mailovou adresu.
Zadejte své heslo.